/* Add here all your CSS customizations */
@media (max-width: 767px) {
	.visible-xs {
		display: block !important;
	}
	table.visible-xs {
		display: table !important;
	}
	tr.visible-xs {
		display: table-row !important;
	}
	th.visible-xs,
	td.visible-xs {
		display: table-cell !important;
	}
}
@media (max-width: 767px) {
	.hidden-xs {
		display: none !important;
	}
}
@media (min-width: 768px) and (max-width: 991px) {
	.hidden-sm {
		display: none !important;
	}
}
@media (min-width: 992px) and (max-width: 1199px) {
	.hidden-md {
		display: none !important;
	}
}
@media (min-width: 1200px) {
	.hidden-lg {
		display: none !important;
	}
}

.btn-die {
	pointer-events: none;
}

.krs-footer {
	position : fixed;
	left : 0;
	right : 0;
	bottom : 0;
}

.krs-label-foto {
	font-weight: bold;
	font-size : 90px;
}

.file-input {
  position: relative;
  display: inline-block;
}

/* Sembunyikan input file default */
.file-input input[type="file"] {
  position: absolute;
  opacity: 0;
  z-index: -1;
}

.file-input label {
  background-color: #3ab856;
  color: white;
  padding: 5px 10px;
  border-radius: 5px;
  cursor: pointer;
  display: inline-block;
}

.file-input label:hover {
  background-color: #287e3b;
}

.file-name {
  margin-left: 10px;
  font-style: italic;
  color: #555;
}

.btn-square {
    width: 200px;
    height: 200px;
    font-size: 42px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 20px; /* biar tetap persegi */
}

.btn-square i {
    font-size: 48px; /* ukuran ikon */
    margin-bottom: 10px;
}

.btn-square span {
    font-size: 16px; /* ukuran label */
}

.custom-checkbox .custom-control-input {
    transform: scale(1.5); /* Adjust size */
}

.bg-light-green {
	background-color: #e5fff0;
}

.ring {
	display: grid;
	place-items: center;
	width: 100%;
	height: 50px;
	/* border-radius: 30%; */
	color: white;
	font-weight: bold;
	background:#0b9439;
	cursor: pointer;
	font-size: 18px;
}

.ring-active {
	display: grid;
	place-items: center;
	width: 100%;
	height: 50px;
	border-radius: 5%;
	color: #0b9439;
	font-weight: bold;
	border:2px solid #0b9439;
	cursor: pointer;
	font-size: 18px;
}




.stepper-wrapper {
    font-family: Arial;
    display: flex;
    justify-content: space-between;
}

.stepper-item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1;
}

.stepper-item:hover,
.stepper-item:active,
.stepper-item:focus {
    text-decoration: none;
}

.stepper-item:hover .step-counter {
    box-shadow: 0px 0px 20px 0px #0a9b686d;
    background: #28a745;
}

.stepper-item::before {
    position: absolute;
    content: "";
    border-bottom: 2px solid #E2E8F0;
    width: 100%;
    top: 20px;
    left: -50%;
    z-index: 2;
}

.stepper-item::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #E2E8F0;
    width: 100%;
    top: 20px;
    left: 50%;
    z-index: 2;
}

.stepper-item.completed::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #4bb543;
    width: 100%;
    top: 20px;
    left: 50%;
    z-index: 3;
}

.stepper-item .step-counter {
    position: relative;
    z-index: 5;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    min-width: 40px;
    min-height: 40px;
    border-radius: 50%;
    background: #28a745;
    margin-bottom: 6px;
    border: 1px solid #E2E8F0;
    color: white;
    transition: 0.3s ease-in;
}

.stepper-item.active .step-counter {
    border: 2px solid #28a745;
    background: #ECFDF5;
    color: black;
    box-shadow: 0px 0px 20px 0px #0DBD7F4D;
}

.stepper-item.completed .step-counter {
    background-color: #059669;
    color: white;
    border: none;
}

.stepper-item:first-child::before {
    content: none;
}

.stepper-item:last-child::after {
    content: none;
}

.step-name {
    color: #0F172A;
    text-align: center;
    line-height: 16px;
    max-width: 170px;
}

@media (max-width: 992px) {
    .stepper-wrapper {
        flex-direction: column;
        gap: 10px;
    }

    .stepper-item {
        flex-direction: row;
        gap: 10px;
    }

    .stepper-item.completed::after,
    .stepper-item::after,
    .stepper-item::before {
        display: none;
    }

    .stepper-item .step-counter::after {
        content: '';
        position: absolute;
        top: 40px;
        left: 50%;
        transform: translate(-50%, 0);
        width: 2px;
        height: 20px;
        background-color: #059669;
    }

    .stepper-item:last-child .step-counter::after {
        display: none;
    }

    .step-name {
        max-width: 100%;
        text-align: left;
        font-size: 11px;
    }
}